Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.struct
Class LpPredicateTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.struct.LpStructureUnitTestUtils
                  lp.struct.LpPredicateTest

All Implemented Interfaces:
  Test

    public class LpPredicateTest

extends LpStructureUnitTestUtils

Contains tests of the `LpPredicate` class.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `LpPredicate`

Constructor Summary
`LpPredicateTest(String testName)` A default test case constructor.

Method Summary
`void` | `testConstructorExceptions()` Tests if the constructor throws the appropriate exceptions.
`private void` | `testEquals(LpPredicate p1, LpPredicate p2)` Asserts that the given predicate symbols are equal and that their hash codes are equal.
`void` | `testEqualsAndHashCode()` Tests the `LpPredicate.equals(Object)` and `LpPredicate.hashCode()` methods.
`void` | `testGetArity()` Test of `LpPredicate.getArity()` method.
`private void` | `testNotEquals(LpPredicate p1, LpPredicate p2)` Asserts that the given predicate symbols are not equal.
`void` | `testToString()` Tests `LpPredicate.toString()` method.

Methods inherited from class lp.struct.LpStructureUnitTestUtils
`testToString`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LpPredicateTest

    public LpPredicateTest(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### testConstructorExceptions

    public void testConstructorExceptions()

  Tests if the constructor throws the appropriate exceptions.

### testGetArity

    public void testGetArity()

  Test of `LpPredicate.getArity()` method.

### testEqualsAndHashCode

    public void testEqualsAndHashCode()

  Tests the `LpPredicate.equals(Object)` and `LpPredicate.hashCode()` methods.

### testEquals

    private void testEquals(LpPredicate p1,
                            LpPredicate p2)

  Asserts that the given predicate symbols are equal and that their hash codes are equal.

  Parameters:
    `p1` - first tested literal
    `p2` - second tested literal

### testNotEquals

    private void testNotEquals(LpPredicate p1,
                               LpPredicate p2)

  Asserts that the given predicate symbols are not equal.

  Parameters:
    `p1` - first tested literal
    `p2` - second tested literal

### testToString

    public void testToString()

  Tests `LpPredicate.toString()` method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD